package com.ruoyi.system.mapper.task;

import com.ruoyi.system.domain.task.TkCommonDiaodu;
import com.ruoyi.system.domain.task.TkCommonDiaoduExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TkCommonDiaoduMapper {
    long countByExample(TkCommonDiaoduExample example);

    int deleteByExample(TkCommonDiaoduExample example);

    int deleteByPrimaryKey(String id);

    int insert(TkCommonDiaodu record);

    int insertSelective(TkCommonDiaodu record);

    List<TkCommonDiaodu> selectByExampleWithBLOBs(TkCommonDiaoduExample example);

    List<TkCommonDiaodu> selectByExample(TkCommonDiaoduExample example);

    TkCommonDiaodu selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") TkCommonDiaodu record, @Param("example") TkCommonDiaoduExample example);

    int updateByExampleWithBLOBs(@Param("record") TkCommonDiaodu record, @Param("example") TkCommonDiaoduExample example);

    int updateByExample(@Param("record") TkCommonDiaodu record, @Param("example") TkCommonDiaoduExample example);

    int updateByPrimaryKeySelective(TkCommonDiaodu record);

    int updateByPrimaryKeyWithBLOBs(TkCommonDiaodu record);

    int updateByPrimaryKey(TkCommonDiaodu record);
}